ros-kilted-mrpt-reactivenav2d (2.2.1-2noble) noble; urgency=high

  * Update for MRPT 2.14.3 (new RNAV weight for target heading)
  * Support speed_ratio property for Waypoints
  * Improve astar navigation demo
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 12 Oct 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (2.2.0-2noble) noble; urgency=high

  * Update URL entries in package.xml to each package proper documentation
  * ament linters: manually enable just cmake and xml linters
  * reformat clang-format with 100 column width
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 25 Sep 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (2.1.1-2noble) noble; urgency=high

  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * Fix duplicated deps
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco
  * Remove temporary workaround in <depends> for buggy mrpt_libros_bridge package.xml
  * Fix duplicated deps
  * update dependencies
  * Depend on new mrpt_lib packages (deprecate mrpt2)
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 02 Sep 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (2.1.0-2noble) noble; urgency=high

  * Hide example output into <details>
  * Merge branch 'ros2' into wip/port-tps-astar
  * rnav node now detects live changes in the parameter 'pure_pursuit_mode'
  * Merge branch 'ros2' into wip/port-tps-astar
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 08 Aug 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (2.0.1-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 May 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (2.0.0-2noble) noble; urgency=high

  * rnav: add new pure_pursuit mode
  * Implement two action servers: NavigateGoal and NavigateWaypoints
  * Comply with ROS2 REP 2003
  * expose waypoint sequence launch argument
  * use namespaces for launch files
  * rnav node: publish selected PTG as marker
  * FIX: waypoints should also observe frame_id
  * Fix obsolete tf2_geometry_msgs.h header
  * Unify and clarify license headers in all files
  * Merge pull request #134 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/134> from SRai22/ros2
    Merge from SRai22 fork
  * Port to ROS 2
  * Contributors: Jose Luis Blanco-Claraco, Raúl Aguilera López, SRai22

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 28 May 2024 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (1.0.3-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 25 Jun 2022 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (1.0.2-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 25 Jun 2022 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (1.0.1-2noble) noble; urgency=high

  * Correct demos
  * Fix all build errors
  * Removed now obsolete tf_prefix
  * Ported to tf2 and mrpt::ros1bridge
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 24 Jun 2022 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (1.0.0-2noble) noble; urgency=high

  * Update URLs to https
  * Update build dep to mrpt2
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 30 Apr 2022 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.26-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 05 Oct 2019 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.25-2noble) noble; urgency=high

  * fix nav to target clicking in RVIZ
  * Contributors: Jose Luis Blanco Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 04 Oct 2019 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.24-2noble) noble; urgency=high

  * Fix build against MRPT 1.9.9
  * Contributors: Julian Lopez Velasquez

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 12 Apr 2019 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.23-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 14 Jun 2018 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.22-2noble) noble; urgency=high

  * fix all catkin_lint errors
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 22 May 2018 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.21-2noble) noble; urgency=high

  * Upgrade version 0.1.20 (#99 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/99>)
  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Hunter Laux, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 27 Apr 2018 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.20-2noble) noble; urgency=high

  * fix build against mrpt 2.0
  * partial fix build w mrpt 2.0
  * optimized build (-O3)
  * fix build errors against mrpt 1.5.5
  * Merge branch 'master' of github.com:tuw-robotics/mrpt_navigation
  * Merge branch 'master' into master
  * CMake finds MRPT >=1.5 in ROS master branch
  * Merge branch 'master' into compat-mrpt-1.5
  * CMake finds MRPT >=1.9
  * avoid Eigen warnings with GCC-7
  * Removed unnecessry MRPT_VERSION checks
  * Fixes for clang format
  * Removed c++11 declarations in cmake
  * Fixed error in demo launch file
  * Adapted CMakeLists to new mrpt
  * Ported to a new version of MRPT
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * Issue #75 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/75>: fix mrpt_reactivenav2d compilation errors
  * deprecated mrpt 2.0 module names
  * Update launch file to work with MRPT 1.5.0
  * fix build with MRPT 1.5.0
  * Contributors: Borys Tymchenko, Jose Luis Blanco, Jose Luis Blanco Claraco, Jose Luis Blanco-Claraco, Markus Bader, corot

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 26 Apr 2018 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.18-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 22 Jan 2017 06:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.17-2noble) noble; urgency=high

  * fix build against latest mrpt 1.5.0
  * make catkin_lint clean
  * Remove all errors generated by catkin_lint and cleanup unused templates from CMakeLists.txt files
  * Update to MRPT 1.5.0
  * Contributors: Jorge Santos, Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 22 Jan 2017 06:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.16-2noble) noble; urgency=high

  * Fix #52 <https://github.com/mrpt-ros-pkg/mrpt_navigation/issues/52>
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Tue, 13 Dec 2016 06:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.15-2noble) noble; urgency=high

  * Fix mrpt-reactivenav2d compilation errors
  * Fix compilation for MRPT < 1.5.0
  * Add include guard  for MRPT >= 1.5.0, fill timestamp entries
  * Add include guard for CVehicleVelCmd_DiffDriven in mrpt >= 1.5.0
  * Fix mrpt-reactivenav2d compilation errors
  * Contributors: Nikos Koukis, bergercookie

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 06 Nov 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.14-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 12 Sep 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.13-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 03 Sep 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.12-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 03 Sep 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.11-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 21 Aug 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.10-2noble) noble; urgency=high

  * fix build error against mrpt < 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 05 Aug 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.9-2noble) noble; urgency=high

  * fix build against mrpt 1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 05 Aug 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.8-2noble) noble; urgency=high

  * Reactive nav default config file: coarser collision grid for faster initialization
  * fix build and sample config file for reactivenav with mrpt>=1.5.0
  * Contributors: Jose-Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 29 Jun 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.7-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Mon, 20 Jun 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.6-2noble) noble; urgency=high

  * more build fixes
  * reactivenav: more complete template config file
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sun, 20 Mar 2016 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.5-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 29 Apr 2015 05:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.4-2noble) noble; urgency=high

  * First working version of the reactive navigator
  * Contributors: Jose Luis Blanco

 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Sat, 27 Dec 2014 06:00:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.3-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Fri, 19 Dec 2014 05:21:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.2-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Thu, 18 Dec 2014 17:49:00 -0000

ros-kilted-mrpt-reactivenav2d (0.1.1-2noble) noble; urgency=high



 -- Jose-Luis Blanco-Claraco <jlblanco@ual.es>  Wed, 17 Dec 2014 06:00:00 -0000


